package ornithology;

public class Penguin implements Bird {
	private String name;
	private double wingspan;
	
	public Penguin() {
		this("Cheryl");
	}
	
	public Penguin(String name) {
		this(name,38.0);
	}
	
	public Penguin(String name, double wingspan) {
		this.name=name;
		this.wingspan=wingspan;
	}
	
	public void fly() {
		throw new UnsupportedOperationException();
	}
	
	public String sing() {
		return "We're no strangers to love,\nYou know the rules and so do I.";
	}
	
	public double getWingspan() {
		return wingspan;
	}
	
	public String getName() {
		return name;
	}
	
	public String toString() {
		return name+":"+wingspan;
	}
}
